## API Report File for "@fluentui/react-badge"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public
export const Badge: ForwardRefComponent<BadgeProps>;

// @public (undocumented)
export const badgeClassNames: SlotClassNames<BadgeSlots>;

// @public (undocumented)
export type BadgeProps = Omit<ComponentProps<BadgeSlots>, 'color'> & {
    appearance?: 'filled' | 'ghost' | 'outline' | 'tint';
    color?: 'brand' | 'danger' | 'important' | 'informative' | 'severe' | 'subtle' | 'success' | 'warning';
    iconPosition?: 'before' | 'after';
    shape?: 'circular' | 'rounded' | 'square';
    size?: 'tiny' | 'extra-small' | 'small' | 'medium' | 'large' | 'extra-large';
};

// @public (undocumented)
export type BadgeSlots = {
    root: Slot<'div'>;
    icon?: Slot<'span'>;
};

// @public (undocumented)
export type BadgeState = ComponentState<BadgeSlots> & Required<Pick<BadgeProps, 'appearance' | 'color' | 'iconPosition' | 'shape' | 'size'>>;

// @public
export const CounterBadge: ForwardRefComponent<CounterBadgeProps>;

// @public (undocumented)
export const counterBadgeClassNames: SlotClassNames<BadgeSlots>;

// @public (undocumented)
export type CounterBadgeProps = Omit<BadgeProps, 'appearance' | 'color' | 'shape'> & {
    appearance?: 'filled' | 'ghost';
    color?: Extract<BadgeProps['color'], 'brand' | 'danger' | 'important' | 'informative'>;
    count?: number;
    dot?: boolean;
    overflowCount?: number;
    shape?: 'circular' | 'rounded';
    showZero?: boolean;
};

// @public (undocumented)
export type CounterBadgeState = Omit<BadgeState, 'appearance' | 'color' | 'shape'> & Required<Pick<CounterBadgeProps, 'appearance' | 'color' | 'count' | 'dot' | 'shape' | 'showZero'>>;

// @public
export const PresenceBadge: ForwardRefComponent<PresenceBadgeProps>;

// @public (undocumented)
export const presenceBadgeClassNames: SlotClassNames<BadgeSlots>;

// @public (undocumented)
export type PresenceBadgeProps = Omit<ComponentProps<Pick<BadgeSlots, 'root' | 'icon'>>, 'color'> & Pick<BadgeProps, 'size'> & {
    status?: PresenceBadgeStatus;
    outOfOffice?: boolean;
};

// @public (undocumented)
export type PresenceBadgeState = ComponentState<BadgeSlots> & BadgeState & Required<Pick<PresenceBadgeProps, 'status' | 'outOfOffice'>>;

// @public (undocumented)
export type PresenceBadgeStatus = 'busy' | 'out-of-office' | 'away' | 'available' | 'offline' | 'do-not-disturb' | 'unknown' | 'blocked';

// @public (undocumented)
export const renderBadge_unstable: (state: BadgeState) => JSX.Element;

// @public
export const useBadge_unstable: (props: BadgeProps, ref: React_2.Ref<HTMLElement>) => BadgeState;

// @public
export const useBadgeStyles_unstable: (state: BadgeState) => BadgeState;

// @public
export const useCounterBadge_unstable: (props: CounterBadgeProps, ref: React_2.Ref<HTMLElement>) => CounterBadgeState;

// @public
export const useCounterBadgeStyles_unstable: (state: CounterBadgeState) => CounterBadgeState;

// @public
export const usePresenceBadge_unstable: (props: PresenceBadgeProps, ref: React_2.Ref<HTMLElement>) => PresenceBadgeState;

// @public
export const usePresenceBadgeStyles_unstable: (state: PresenceBadgeState) => PresenceBadgeState;

// (No @packageDocumentation comment for this package)

```
